.\" bm# 0000002060
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ar.F	1.1);


.ds mc 
.ds rv Revision 1
.TH AR F
.SH Name
ar \- Archive file format.
.SH Description
The archive command
.I ar\^
is used to combine several files into
one.
Archives are used mainly as libraries to be searched
by the link editor
.IR ld (C).
.PP
A file produced by
.I ar\^
has a magic number at the start,
followed by the constituent files, each preceded by a file header.
The magic number is
0177545 octal (or 0xff65 hexadecimal).
The header of each file is declared in 
.BR /usr/include/ar.h .
.PP
Each file begins on a word boundary;
a null byte is inserted between files if necessary.
Nevertheless the size given reflects the
actual size of the file exclusive of padding.
.PP
Notice there is no provision for empty areas in an archive
file.
.SH "See Also"
ar(CP),
ld(CP)
