.\" bm# 0000002051
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mnttab.F	1.1);


.ds mc 
.ds rv Revision 1
.TH MNTTAB F
.SH Name
mnttab \- Format of mounted file system table.
.SH Syntax
.tr _\(ul
.nf
.ft B
#include <stdio.h>
#include <mnttab.h>
.ft R
.fi
.tr __
.SH Description
The
.I /etc/mnttab\^
file contains a table of devices
mounted by the
.IR mount (C)
command.
.PP
Each table entry contains the pathname of the directory 
on which the device is mounted, 
the name of the device special file,
the read/write permissions of the special file, 
and the date on which the device was mounted.
.PP
The maximum number of entries in
.I mnttab\^
is based on the system parameter
.SM
NMOUNT
located in
.BR /usr/sys/conf/c.c ,
which defines the number of allowable mounted special files.
.SH "See Also"
mount(C)
