.\" bm# 0000002281
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)default.M	1.1);


.ds mc 
.ds rv Revision 1
.TH DEFAULT M
.SH Name
default \- Default program information directory.
.SH Description
The files in the directory 
.B /etc/default
contain the default information used by system 
commands such as 
.IR dump (C)
and
.IR remote (C).
Default information is any information required by
the command that is not explicitly given when the
command is invoked.
.PP
The directory may contain zero or more files.  
Each file corresponds to one or more commands.  A
command searches a file whenever it has been 
invoked without sufficient information.  Each
file contains zero or more entries which define the
default information.  Each entry
has the form:
.IP
keyword
.P
or
.IP
keyword=value
.PP
where 
.I keyword
identifies the type of information available and
.I value
defines its value. Both 
.I keyword
and
.I value
must consist of letters, digits, and punctuation.
The exact spelling of a
.I keyword
and the appropriate
.I values
depend on the command and are described with the
individual commands.
.PP
Any line in a file beginning with a number sign (#) is
considered a comment and is ignored.
.SH Files
/etc/default/dump
.P
/etc/default/dumpdir
.P
/etc/default/lpd 
.P
/etc/default/mkuser
.P
/etc/default/passwd 
.P
/etc/default/quot
.P
/etc/default/micnet
.P
/etc/default/restor 
.P
/etc/default/su 
.SH "See Also"
dump(C), dumpdir(C), lpr(C), mkuser(C), 
pwadmin(C), quot(C), remote(C), restor(C), su(C) 
