.\" bm# 0000002276
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mem.M	1.1);


.ds mc 
.ds rv Revision 1
.TH MEM M
.SH Name
mem, kmem \- Memory image file.
.SH Description
The
.B mem\^
file provides access to the computer's physical memory.
All byte addresses in the
file are interpreted as memory addresses.  Thus,
memory locations can be examined in the same way as
individual bytes in a file.  Note that accessing a 
nonexistent location causes an error. 
.PP
The 
.B kmem\^
file is the same as 
.B mem\^
except that it corresponds to kernel virtual memory
rather than physical memory.
.PP
In rare cases, the 
.B mem 
and 
.B kmem
files may be used to write to memory and
memory-mapped devices.  Such patching
is not intended for the naive user and may lead to
a system crash if not conducted properly.
Patching device registers is likely to lead to unexpected 
results if the device has read-only or write-only bits.
.SH Files
/dev/mem
.P
/dev/kmem
