.\" bm# 0000002290
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)utmp.M	1.1);


.ds mc 
.ds rv Revision 1
.TH UTMP M
.SH Name
utmp, wtmp \- Formats of utmp and wtmp entries.
.SH Description
The files
.B utmp
and
.B wtmp
hold user and accounting information
for use by commands such as
.IR who (C),
.I acctcon1\^
(see
.IR acctcon (C)),
and
.IR login (M).
They have the following structure, as defined by
.BR /usr/include/utmp.h :
.PP
.RS
.ta .5i 1i 2.1i
.nf
struct \|utmp
{
	char	ut_line[8];	/\(** tty name \(**/
	char	ut_name[8];	/\(** login name \(**/
	long	ut_time;	/\(** time on \(**/
};
.fi
.RE
.PP
.SH Files
/etc/utmp
.sp
/usr/adm/wtmp
.sp
/usr/include/utmp.h
.SH "See Also"
acctcon(C), login(M), who(C), write(C)
.DT
