.\" bm# 0000002345
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ABORT S 
.SH Name
abort \- Generates an \s-1IOT\s0 fault.
.SH Syntax
.B abort ( )
.SH Description
.I Abort\^
causes an I/O trap signal (\s-1SIGIOT\s0) to be sent to 
the calling process.
This usually results in termination with a core dump.
.PP
.I Abort\^
can return control if the calling process is set to
catch or ignore the 
.SM SIGIOT
signal; see
.IR signal (S).
.SH "See Also"
adb(CP),
exit(S),
signal(S)
.SH Diagnostics
If an aborted process returns control to the shell (
.IR sh (C)),
the shell usually displays the message ``abort \- core dumped''.
