.\" bm# 0000002340
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ASSERT S
.SH Name
assert \- Helps verify validity of program.
.SH Syntax
.B #include <assert.h>
.PP
.B assert (expression);
.SH Description
.PP
This macro is useful for putting diagnostics into programs
under development.
When it is executed, if
.I expression\^
is false, it prints
.PP
.RS
Assertion failed: file \f2name\fP, line \f2nnn\fP
.RE
.PP
on the standard error file and exits.
.I Name\^
is the source filename and
.I nnn\^
the source line number
of the
.I assert\^
statement.
.SH Notes
To suppress calls to
.IR assert ,
use the option ``\-\s-1DNDEBUG\s0'' when compiling
the program; see
.IR cc\^ (CP)).
