.\" bm# 0000002331
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH CLOSE S 
.SH Name
close \- Closes a file descriptor.
.SH Syntax
.B int close (fildes)
.br
.B int fildes;
.SH Description
.PP
.I Fildes\^
is a
file descriptor
obtained from a
.IR creat ,
.IR open ,
.IR dup ,
.IR fcntl ,
or
.I pipe\^
system call.
.I Close\^
closes the file descriptor indicated by
.IR fildes .
.PP
.I Close\^
will fail if
.I fildes\^
is not a valid open
file descriptor.
.SM
\%[EBADF]
.SH "Return Value"
Upon successful completion, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
creat(S), dup(S), exec(S), fcntl(S), open(S), pipe(S)
