.\" bm# 0000002311
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FLOOR S 
.SH Name
floor, fabs, ceil, fmod \- Performs absolute value, floor, ceiling and remainder functions.
.SH Syntax
.B #include <math.h>
.PP
.B double floor (x)
.br
.B double x;
.PP
.B double ceil (x)
.br
.B double x;
.PP
.B double fmod (x, y)
.br
.B double x, y;
.PP
.B double fabs (x)
.br
.B double x;
.SH Description
.I Fabs\^
returns
.RI | \|x\| |\|.
.PP
.I Floor\^
returns the
largest integer (as a double precision number)
not greater than
.IR x .
.PP
.I Ceil\^
returns the
smallest integer
not less than
.IR x .
.PP
.I Fmod\^
returns the number
.I f\^
such that
.IR "x = iy + f" ,
for some integer
.IR i ,
and 0 \(<=
.IR f < y .
.RE
.SH "See Also"
abs(S)
