.\" bm# 0000002307
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FREXP S
.SH Name
frexp, ldexp, modf \- Splits floating-point number into a mantissa and an exponent.
.SH Syntax
.B double frexp (value, eptr)
.br
.B double value;
.br
.B int \(**eptr;
.PP
.B double ldexp (value, exp)
.br
.B double value;
.PP
.B double modf (value, iptr)
.br
.B double value, \(**iptr;
.SH Description
.I Frexp\^
returns the mantissa of a double 
.I value\^
as a double quantity,
.IR x ,
of magnitude less than 1,
and stores an integer 
.I n\^
such that
.I value\^
=
.IR x \(**2\(**\(** n
indirectly through 
.IR eptr .
.PP
.I Ldexp\^
returns the quantity
\fIvalue\fP\(**(2\(**\(**\fIexp\fR).
.PP
.I Modf\^
returns the positive fractional part of
.I value\^
and stores the integer part indirectly
through 
.IR iptr .
