.\" bm# 0000002303
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETCWD S
.SH Name
getcwd \- Gets pathname of current working directory.
.SH Syntax
.br
.B len = getcwd (pnbuf, maxlen);
.br
.B int  len;
.br
.B char  *pnbuf;
.br
.B int  maxlen;
.SH Description
.I Getcwd
determines the pathname of the current working directory 
and places it in
.I pnbuf.
The length excluding the terminating 
.SM NULL 
is returned.
.I Maxlen
is the length of
.I pnbuf.
If the length of the (null-terminated) pathname exceeds
.I maxlen,
it is treated as an error.
.SH Diagnostics
A length <= 0 is returned on error.
'\"	.SH Warnings
.SH Notes
.I maxlen
(and
.I pnbuf )
must be 1 more than the true maximum length of the pathname.
