.\" bm# 0000002402
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH PAUSE S 
.SH Name
pause \- Suspends a process until a signal occurs.
.SH Syntax
.B int pause (\|);
.SH Description
.I Pause\^
suspends the calling process until it receives a signal.
The signal must be one that is not currently set to be ignored by the
calling process.
.PP
If the signal causes termination of the calling process,
.I pause\^
will not return.
.PP
If the signal is
.I caught\^
by the calling process and control is returned from
the signal catching function (see
.IR signal (S)),
the calling process
resumes execution from the point of suspension;
with a return value of
\-1 from
.I pause\^
and
.I errno\^
set to
.SM EINTR.
.SH "See Also"
alarm(S), kill(S), signal(S), wait(S)
