.\" bm# 0000002394
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH PUTPWENT S
.SH Name
putpwent \- Writes a password file entry.
.SH Syntax
.B #include <pwd.h>
.PP
.B int putpwent (p, f)
.br
.B struct passwd \(**p;
.br
.B FILE \(**f;
.SH Description
.I Putpwent\^
is the inverse of
.IR getpwent (S).
Given a pointer to a
.I passwd\^
structure created by
.I getpwent\^
(or
.I getpwuid 
or
.IR getpwnam ),
.I putpwent\^
writes a line on the stream
.IR f\^ .
The line matches the format of
.BR /etc/passwd .
.SH "See Also"
passwd(M), getpwent(S)
.SH Diagnostics
.I Putpwent\^
returns nonzero if an error was detected during its operation,
otherwise zero.
