.\" bm# 0000002393
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH PUTS S 
.SH Name
puts, fputs \- Puts a string on a stream.
.SH Syntax
.B #include <stdio.h>
.PP
.B int puts (s)
.br
.B char \(**s;
.PP
.B int fputs (s, stream)
.br
.B char \(**s;
.br
.SM
.B FILE
.B \(**stream;
.SH Description
.I Puts\^
copies the null-terminated string
.I s\^
to the standard output stream
.I stdout\^
and appends a
newline character.
.PP
.I Fputs\^
copies the null-terminated string
.I s\^
to the named output
.IR stream .
.PP
Neither routine copies the terminating null character.
.SH Diagnostics
Both routines return
.SM
EOF
on error.
.SH "See Also"
ferror(S), fopen(S), fread(S), gets(S),
printf(S), putc(S)
.SH Notes
.I Puts\^
appends a newline,
.I \^fputs\^
does not.
