.\" bm# 0000002392
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH QSORT S 
.SH Name
qsort \- Performs a sort.
.SH Syntax
.B qsort (base, nel, width, compar)
.br
.B char \(**base;
.br
.B int nel, width;
.br
.B int (\(**compar)( );
.SH Description
.I Qsort\^
is an implementation
of the quicker-sort algorithm.
The first argument is a pointer to the base of the data;
the second is the number of elements;
the third is the width of an element
in bytes;
the last is the name of the comparison routine.
It is called with two arguments which are pointers
to the elements being compared.
The routine must return
an integer less than, equal to, or greater than 0
according to how much the first argument is to be considered
less than, equal to, or greater than the second.
.SH "See Also"
sort(C), bsearch(S), lsearch(S), string(S)
