.\" bm# 0000002366
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SYSTEM S 
.SH Name
system \- Executes a shell command.
.SH Syntax
.B #include <stdio.h>
.PP
.B int system (string)
.br
.B char \(**string;
.SH Description
.I System\^
passes the
.I string\^
to a new invocation of a shell (see
.IR sh (C)).
The shell reads and executes the
.I string
as if it had been typed as a command at a terminal,
then returns the exit status of the command to 
the calling process.  The calling process waits until 
the shell has returned a status before proceeding
with execution.
.SH "See Also"
sh(C), exec(S)
.SH Diagnostics
.I System\^
stops if it can't execute
.IR sh (C).
