.\" bm# 0000002359
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH TTYNAME S 
.SH Name
ttyname, isatty \- Finds the name of a terminal.
.SH Syntax
.B char \(**ttyname (fildes)
.PP
.B int isatty (fildes)
.SH Description
.I Ttyname\^
returns a pointer to the null-terminated pathname
of the terminal device associated with file descriptor
.IR fildes .
.PP
.I Isatty\^
returns 1 if
.I fildes\^
is associated with a terminal device, 0 otherwise.
.SH Files
/dev/\(**
.SH Diagnostics
.I Ttyname\^
returns a null pointer (0) if
.I fildes\^
does not describe a terminal device in directory
.BR /dev .
.SH Notes
The return value points to static data
whose content is overwritten by each call.
