.\" bm# 0000002238
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)sccsdiff.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH SCCSDIFF CP
.SH Name
sccsdiff \- Compares two versions of an \s-1SCCS\s+1 file.
.SH Syntax
.B sccsdiff
.BR \-r \s-1SID\s+1\&1
.BR \-r \s-1SID\s+1\&2
.RB [ \-p ]
.RB [ \-s n]
files
.SH Description
.I Sccsdiff\^
compares two versions of an
.SM SCCS
file and generates the differences between the
two versions.
Any number of
.SM SCCS
files may be specified, but arguments apply to all files.
'\".RS 5
.TP 10
.BI \-r \s-1SID\s+1?\^
.IR \s-1SID\s+11 \ and \ \s-1SID\s+12 \ specify
the deltas of an
.SM SCCS
file that are to be compared.
Versions are passed to
.IR bdiff (C)
in the order given.
.TP 12
.B \-p
Pipe output for each file through
.IR pr (C).
.TP 12
.BI \-s n\^
\fIn\fP is the file segment size that
.I bdiff\^
will pass to
.IR diff (C).
This is useful when
.I diff\^
fails due to a high system load.
.SH Files
.TP "\w'/tmp/get?????\ \ 'u"
/tmp/get?????
Temporary files
.SH "See Also"
bdiff(C), get(CP), help(CP), pr(C)
'\" .br
'\".IR "Source Code Control System User's Guide" by
'\"L. E. Bonanni and C. A. Salemi.
.SH Diagnostics
.TP 21
file: \fINo differences\fR
If the two versions are the same.
.PP
Use
.IR help (CP)
for explanations.
.PD
