.\" bm# 0000002062
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)a.out.F	1.1);


.ds mc 
.ds rv Revision 1
.TH A.OUT F
.SH Name
a.out \- Format of assembler and link editor output.
.SH Description
.B A.out
is the output file of the assembler
.I as\^
and the link editor
.IR ld .
Both programs will make
.B a.out
executable if there were no
errors in assembling or linking, and no unresolved external references.
.PP
The format of
.BR a.out ,
called the 
.B x.out 
or segmented 
.B x.out 
format, is defined by the files
.I /usr/include/a.out.h
and
.IR /usr/include/sys/relsym.h .
The
.B a.out
file has the following general layout:
.TP 5
1.
Header.
.TP
2.
Extended header.
.TP
3.
File segment table (for segmented formats).
.TP
4.
Segments (Text, Data, Symbol, and Relocation).
.PP
In the segmented format, there may be several text
and data segments, depending on the memory model 
of the program.  Segments within the file begin on
boundaries which are multiplies of 512 bytes
as defined by the file's pagesize.  
.SH "See Also"
as(CP), 
ld(CP), 
nm(CP), 
strip(CP).
