.\" bm# 0000002056
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dir.F	1.1);


.ds mc 
.ds rv Revision 1
.TH DIR F 
.SH Name
dir \- Format of a directory.
.SH Syntax
.B #include <sys/dir.h>
.SH Description
A directory
behaves exactly like an ordinary file, except that no
user may write into a directory.
The fact that a file is a directory is indicated by
a bit in the flag word of its inode entry
(see
.IR filesystem (F)).
The structure of a directory is given in the
include file 
.BR /usr/include/sys/dir.h .
.PP
By convention, the first two entries in each directory
are``dot'' (\^\fB.\fR\^) and 
``dotdot'' (\^\fB..\fR\^).  
The first is an entry for the
directory itself.  
The second is for the parent
directory.
The meaning of dotdot is modified for the root directory
of the master file system;
there is no parent, so dotdot has the
same meaning as dot.
.SH "See Also"
filesystem(F)
