.\" bm# 0000002049
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)types.F	1.1);


.ds mc 
.ds rv Revision 1
.TH TYPES F
.SH Name
types \- Primitive system data types.
.SH Syntax
.B #include <sys/types.h>
.SH Description
The data types defined in the include file
.B <sys/types.h>
are used in 
.SM XENIX
system code;
some data of these types are accessible to user code.
.PP
The form
.I daddr_t\^
is used for disk addresses except in an
inode on disk, see
.IR filesystem (F).
Times are encoded in seconds since 00:00:00 \s-1GMT\s0, January 1, 1970.
The major and minor parts of a device code
specify kind and unit number of a device
and are installation-dependent.
Offsets are measured in bytes from the beginning of a file.
The
.I label_t\^
variables are used to save the processor state
while another process is running.
.SH "See Also"
filesystem(F)
