.\" bm# 0000002287
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ttys.M	1.1);


.ds mc 
.ds rv Revision 1
.TH TTYS M
.SH Name
ttys \- Login terminals file.
.SH Description
The
.B /etc/ttys
file contains a list of the device special files 
associated with possible login terminals, and
defines which files are to be opened by the 
.IR init (M)
program on system start-up.
.PP
The file contains one or more entries of the form
.PP
.RS
\fIstate\fP\0 \fImode\fP\0 \fIname\fP
.RE
.PP
The 
.I name
must be the filename of a device special file. Only
the filename may be supplied, the path is assumed to
be 
.BR /dev .
If
.I state
is ``1'', the file is enabled for logins; if ``0'',
the file is disabled.  The
.I mode
is used as an argument to the
.IR getty (M)
program.   It defines the line speed and type of
device associated with the terminal.  A list of
arguments is provided in 
.IR getty (M).
.PP
For example, the entry ``16tty02'' means the serial 
line tty02 is to be opened for logging in at 9600 baud.
.SH Files
/etc/ttys
.SH "See Also"
init(M), getty(M), enable(C), disable(C)
