.\" bm# 0000002341
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ALARM S 
.SH Name
alarm \- Sets a process' alarm clock.
.SH Syntax
.B unsigned alarm (sec)
.br
.B unsigned sec;
.SH Description
.I Alarm\^
sets the calling process' alarm clock to 
.I sec
seconds.  After 
.I sec
``real-time'' seconds have elasped, the alarm clock
sends a
.SM SIGALRM
signal to the process; see 
.IR signal (S). 
.PP
Although
.I alarm
does not wait for the signal after setting the alarm clock,
.IR pause (S)
may be used to make the calling process wait.
.PP
Alarm requests are not stacked;
successive calls reset 
the calling process' alarm clock.
.PP
If
.I sec\^
is 0, any previously made alarm request is canceled.
.SH "Return Value"
.I Alarm\^
returns the amount of time
previously remaining in the calling process' alarm clock.
.SH "See Also"
pause(S), signal(S)
