.\" bm# 0000002339
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH ATOF S 
.SH Name
atof, atoi, atol \- Converts \s-1ASCII\s0 to numbers.
.SH Syntax
.B double atof (nptr)
.br
.B char \(**nptr;
.PP
.B int atoi (nptr)
.br
.B char \(**nptr;
.PP
.B long atol (nptr)
.br
.B char \(**nptr;
.SH Description
These functions convert a string pointed to by
.I nptr\^
to floating, integer, and long integer
numbers respectively.
The first unrecognized character ends the string.
.PP
.I Atof\^
recognizes a string of the form:
.PP
.RS
[ +|\0\- ] digits[. digits ][ e|\0E [ +|\0\- ] digits ] 
.RE
.PP
where the digits are continguous decimal digits.  Any 
number of tabs and spaces may precede the string.
The + and \- signs are optional.  Either 
.B e
or
.B E
may be used to mark the beginning of the exponent.
.PP
.I Atoi\^
and
.I atol\^
recognize strings of the form:
.PP
.RS
[ +|\0\- ] digits
.RE
.PP
where the digits are contiguous decimal digits.
Any number of tabs and spaces may precede the 
string.   The + and \- signs are optional.
.SH "See Also"
scanf(S)
.SH Notes
There are no provisions for overflow.
