.\" bm# 0000002338
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH BESSEL S 
.SH Name
bessel, j0, j1, jn, y0, y1, yn \- Performs Bessel functions.
.SH Syntax
.B #include <math.h>
.PP
.B double j0 (x)
.br
.B double x;
.PP
.B double j1 (x)
.br
.B double x;
.PP
.B double jn (n, x);
.br
.br int n;
.br
.B double x;
.PP
.B double y0 (x)
.br
.B double x;
.PP
.B double y1 (x)
.br
.B double x;
.PP
.B double yn (n, x)
.br
.B int n;
.br
.B double x;
.SH Description
These functions calculate Bessel functions of the first
and second kinds for real arguments and integer orders.
.SH Notes
Negative arguments cause
.IR y0 ,
.IR y1 ,
and
.I yn\^
to return a huge negative value.
