.\" bm# 0000002308
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH FREAD S
.SH Name
fread, fwrite \- Performs buffered binary input and output.
.SH Syntax
.B #include <stdio.h>
.PP
.B "int fread ((char \(**) ptr, sizeof (\(**ptr), nitems, stream)"
.br
.SM
.B FILE
.B \(**stream;
.PP
.B "int fwrite ((char \(**) ptr, sizeof (\(**ptr), nitems, stream)"
.br
.SM
.B FILE
.B \(**stream;
.SH Description
.I Fread\^
reads, into a block beginning at
.IR ptr ,
.I nitems\^
of data of the type of
.I \(**ptr\^
from the named input
.IR stream .
It returns the number of items actually read.
.PP
.I Fwrite\^
appends at most
.I nitems\^
of data of the type of
.I \(**ptr\^
beginning at
.I ptr\^
to the named output
.IR stream .
It returns the number of items actually written.
.SH "See Also"
read(S), write(S),
fopen(S),
getc(S), putc(S),
gets(S), puts(S),
printf(S), scanf(S)
