.\" bm# 0000002428
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETPASS S 
.SH Name
getpass \- Reads a password.
.SH Syntax
.B char \(**getpass (prompt)
.br
.B char \(**prompt;
.SH Description
.I Getpass\^
reads a password from the file
.BR /dev/tty ,
or if that cannot be opened, from the standard input,
after prompting with the null-terminated string
.I prompt\^
and disabling echoing.
A pointer is returned to a null-terminated string
of at most eight characters.
.SH Files
/dev/tty
.SH "See Also"
crypt(S)
.SH Notes
The return value points to static data
whose content is overwritten by each call.
