.\" bm# 0000002426
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH GETPW S
.SH Name
getpw \- Gets password for a given user \s-1ID\s0.
.SH Syntax
.B getpw (uid, buf)
.br
.B int uid;
.br
.B char \(**buf;
.SH Description
.I Getpw\^
searches the password file for
the 
.IR uid ", and fills in " "buf"
with the corresponding line;
it returns nonzero if
.IR uid ""
could not
be found.
The line is null-terminated.
.I Uid
must be an integer value.
.SH Files
/etc/passwd
.SH "See Also"
getpwent(S),
passwd(M)
.SH Diagnostics
Returns nonzero on error.
.SH Notes
This routine is included only for compatibility with prior
systems and should not be used; see
.IR getpwent (S)
for routines to use instead.
