.\" bm# 0000002422
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH HYPOT S 
.SH Name
hypot, cabs \- Determines Euclidean distance.
.SH Syntax
.B #include <math.h>
.PP
.B double hypot (x, y)
.br
.B double x, y;
.PP
.B double cabs (z)
.br
.B struct {double x, y;} z;
.SH Description
.I Hypot\^
and
.I cabs
return 
.PP
.RS
sqrt(x\(**x + y\(**y)
.RE
.PP
Both take precautions against unwarranted overflows.
.SH "See Also"
.I sqrt
in exp(S)
