.\" bm# 0000002419
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH L3TOL S 
.SH Name
l3tol, ltol3 \- Converts between 3-byte integers and long integers.
.SH Syntax
.B l3tol (lp, cp, n)
.br
.B long \(**lp;
.br
.B char \(**cp;
.br
.B int n;
.PP
.B ltol3 (cp, lp, n)
.br
.B char \(**cp;
.br
.B long \(**lp;
.br
.B int n;
.SH Description
.I L3tol\^
converts a list of
.I n\^
3-byte integers packed into a character string
pointed to by 
.I cp\^
into a list of long integers pointed to by
.IR lp .
.PP
.I Ltol3\^
performs the reverse conversion from long integers
.RI ( lp )
to 3-byte integers
.RI ( cp ).
.PP
These functions are useful for file system maintenance
where the block numbers are 3 bytes long.
.SH "See Also"
filesystem(F)
