.\" bm# 0000002417
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH LOCK S
.SH Name
lock \- Locks a process in primary memory.
.SH Syntax
.B lock(flag)
.SH Description
If the
.I flag
argument is nonzero,
the process executing this call
will not be swapped except if it is required
to grow.
If the argument is zero,
the process is
.RI un lock ed.
This call may only be executed by
the super-user.
.SH Notes
.IR Lock ed
processes interfere with the compaction of primary memory
and can cause deadlock.
'\"This system call is not considered
'\"a permanent part of the system.
Systems with small memory configurations should
avoid using this call.
It is best to lock process soon after booting
because that will tend to lock them into one end of memory.
