.\" bm# 0000002370
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH STIME S 
.SH Name
stime \- Sets the time.
.SH Syntax
.B #include <sys/types.h>
.br
.B #include <sys/timeb.h>
.P
.B time_t stime (tp)
.br
.B long \(**tp;
.SH Description
.I Stime\^
sets the system's idea of the time and date.
.I Tp\^
points to the value of time as
measured in seconds from 00:00:00 \s-1GMT\s0 January 1, 1970.
.PP
.I Stime\^
will fail if the effective user
.SM ID
of the calling process is not super-user.
.SM
\%[EPERM]
.SH "Return Value"
Upon successful completion, a value of 0 is returned.
Otherwise, a value of \-1 is returned and
.I errno\^
is set to indicate the error.
.SH "See Also"
time(S)
