.\" bm# 0000002367
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH SYNC S 
.SH Name
sync \- Updates the super-block.
.SH Syntax
.B sync ( )
.SH Description
.I Sync\^
causes all information in
memory that should be on disk to be written out.
This includes modified super-blocks,
modified inodes, and delayed block I/O.
.PP
It should be used by programs which examine a file system,
for example
.IR fsck (C),
.IR df (C),
etc.
.PP
The writing, although scheduled, is not necessarily
complete upon return from 
.IR sync .
.SH "See Also"
sync(C)
