.\" bm# 0000002357
.\" typ N
.\" ver generic
.\" mod generic
.\"
.ds mc 
.ds rv Revision 1
.TH UMASK S
.SH Name
umask \- Sets and gets file creation mask.
.SH Syntax
.PP
.B int umask (cmask)
.br
.B int cmask;
.SH Description
.I Umask\^
sets the 
process' file mode creation mask to
.I cmask\^
and returns the previous value of the mask.
Only the low-order 9 bits of
.I cmask\^
and the file mode creation mask are used.
.SH "Return Value"
The previous value of the file mode creation mask is returned.
.SH "See Also"
mkdir(C), mknod(C), sh(C), chmod(S), mknod(S), open(S)
